#ifndef ORNO_MODBUS_H_
#define ORNO_MODBUS_H_

#include "esp_err.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef enum {
    ORNO_METER_GRID,
    ORNO_METER_EVSE
} orno_meter_type_t;

esp_err_t orno_modbus_init(void);
esp_err_t orno_modbus_read_current(orno_meter_type_t type, float *current);

#ifdef __cplusplus
}
#endif

#endif /* ORNO_MODBUS_H_ */
